# IBM Visualization Data Explorer Programmer's Reference

[ Bottom of Page | Previous Page | Next Page | Table of Contents | Partial Table of Contents | Index ]

### DXSetEnumeratedMember

Function

Adds an Object to a Group by index.

Syntax
`
#include <dx/dx.h>
`

Group DXSetEnumeratedMember(Group g, int n, Object value)

Functional Details

Sets the value of the `n`th member of Group `g` to `value`. The parameter `n` must refer to an existing member of the Group or to the first nonexistent member. That is, the indices of Group members must always be contiguous starting at 0. If `value` is `NULL`, the `n`th member of `g` will be deleted. If `g` is typed, the Object to be added, `value`, must be the same type as `g`.

Return Value

Returns `g` or returns `NULL` and sets an error code.

See Also

`DXGetEnumeratedMember, DXGetMemberCount, DXNewGroup, DXSetMember`

"Generic Operations".

[ Top of Page | Previous Page | Next Page | Table of Contents | Partial Table of Contents | Index ]
[Data Explorer Documentation | QuickStart Guide | User's Guide | User's Reference | Programmer's Reference | Installation and Configuration Guide ]

[Data Explorer Home Page]

[IBM Home Page | Order | Search | Contact IBM | Legal ]